export declare namespace Radio {
    export namespace meta {
        export const scope: string;
        export namespace parameters {
            export const width: {
                "type": string;
            };
            export const height: {
                "type": string;
            };
            export const borderRadius: {
                "type": string;
            };
            export const borderWidth: {
                "type": string;
            };
            export const borderColor: {
                "type": string;
            };
            export const textColor: {
                "type": string;
            };
            export const textMarginLeft: {
                "type": string;
            };
            export const textFontSize: {
                "type": string;
            };
            export const textFontWeight: {
                "type": string;
            };
            export const selectWidth: {
                "type": string;
            };
            export const selectHeight: {
                "type": string;
            };
            export const selectBorderRadius: {
                "type": string;
            };
            export const selectBackgroundColor: {
                "type": string;
            };
            export const highlightWidth: {
                "type": string;
            };
            export const highlightHeight: {
                "type": string;
            };
            export const highlightBorderRadius: {
                "type": string;
            };
            export const highlightBackgroundColor: {
                "type": string;
            };
        }
        export const appearances: {
            "default": {
                "default": boolean;
            };
        };
        export namespace variantGroups {
            export namespace status {
                export const error: {
                    "default": boolean;
                };
            }
            export namespace size {
                export const small: {
                    "default": boolean;
                };
                export const medium: {
                    "default": boolean;
                };
                export const large: {
                    "default": boolean;
                };
            }
        }
        export namespace states {
            export const checked: {
                "default": boolean;
                "priority": number;
                "scope": string;
            };
            export const disabled: {
                "default": boolean;
                "priority": number;
                "scope": string;
            };
            export const active: {
                "default": boolean;
                "priority": number;
                "scope": string;
            };
        }
    }
    export const styles: {
        "default": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.checked": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.checked.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.checked.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.checked.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.small": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.medium": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.large": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.small": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.medium": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.large": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.checked": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.checked.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.checked.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.checked.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.small.checked": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.small.checked.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.small.checked.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.small.checked.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.small.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.small.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.small.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.medium.checked": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.medium.checked.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.medium.checked.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.medium.checked.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.medium.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.medium.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.medium.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.large.checked": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.large.checked.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.large.checked.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.large.checked.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.large.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.large.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.error.large.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.small.checked": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.small.checked.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.small.checked.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.small.checked.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.small.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.small.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.small.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.medium.checked": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.medium.checked.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.medium.checked.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.medium.checked.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.medium.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.medium.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.medium.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.large.checked": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.large.checked.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.large.checked.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.large.checked.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.large.disabled": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.large.disabled.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
        "default.large.active": {
            "borderWidth": number;
            "borderColor": string;
            "textColor": string;
            "textFontWeight": string;
            "selectBackgroundColor": string;
            "highlightBackgroundColor": string;
            "width": number;
            "height": number;
            "borderRadius": number;
            "textMarginLeft": number;
            "textFontSize": number;
            "selectWidth": number;
            "selectHeight": number;
            "selectBorderRadius": number;
            "highlightWidth": number;
            "highlightHeight": number;
            "highlightBorderRadius": number;
        };
    };
}
