var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { StyleSheet } from 'react-native';
import { Interaction } from '../../theme';
import { BottomNavigationTab as RNBottomNavigationTab, } from './bottomNavigationTab.component.tsx';
import { WebEventResponder, } from '../support/services';
export class BottomNavigationTab extends React.Component {
    constructor() {
        super(...arguments);
        this.bottomNavigationTabRef = React.createRef();
        this.webEventResponder = WebEventResponder.create(this);
        this.onMouseEnter = () => {
            this.bottomNavigationTabRef.current.props.dispatch([Interaction.HOVER]);
            if (this.props.onMouseEnter) {
                this.props.onMouseEnter();
            }
        };
        this.onMouseLeave = () => {
            this.bottomNavigationTabRef.current.props.dispatch([]);
            if (this.props.onMouseLeave) {
                this.props.onMouseLeave();
            }
        };
        this.onFocus = () => {
            if (this.props.onFocus) {
                this.props.onFocus();
            }
        };
        this.onBlur = () => {
            if (this.props.onBlur) {
                this.props.onBlur();
            }
        };
    }
    render() {
        const _a = this.props, { style } = _a, restProps = __rest(_a, ["style"]);
        return (<RNBottomNavigationTab {...restProps} {...this.webEventResponder.eventHandlers} ref={this.bottomNavigationTabRef} style={[style, styles.element]}/>);
    }
}
const styles = StyleSheet.create({
    element: {
        // @ts-ignore
        outlineWidth: 0,
    },
});
//# sourceMappingURL=bottomNavigationTab.component.web.js.map