/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { StyleProp, TextStyle } from 'react-native';
import { StyledComponentProps, StyleType } from '../../theme';
import { IconElement } from '../icon/icon.component';
import { TouchableIndexedProps } from '../support/typings/type';
export interface MenuItemType {
    title: string;
    disabled?: boolean;
    subItems?: MenuItemType[];
    titleStyle?: StyleProp<TextStyle>;
    menuIndex?: number;
    icon?: (style: StyleType) => IconElement;
    accessory?: (style: StyleType) => React.ReactElement;
}
interface ComponentProps extends MenuItemType {
    selected?: boolean;
}
export declare type MenuItemProps = StyledComponentProps & ComponentProps & TouchableIndexedProps;
export declare type MenuItemElement = React.ReactElement<MenuItemProps>;
export declare const MenuItem: import("../../theme").StyledComponentClass<MenuItemProps>;
export {};
