/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { GestureResponderEvent, ImageStyle, StyleProp, TextStyle, TouchableOpacityProps, ViewStyle } from 'react-native';
import { StyledComponentProps } from '../../theme';
import { IconElement } from '../icon/icon.component';
import { SelectOptionType } from './selectOption.component';
declare type IconProp = (style: ImageStyle, visible: boolean) => IconElement;
export declare type SelectOption = Array<SelectOptionType> | SelectOptionType;
export declare type KeyExtractorType = (item: SelectOptionType) => string;
interface ComponentProps {
    data: SelectOptionType[];
    multiSelect?: boolean;
    selectedOption?: SelectOption;
    textStyle?: StyleProp<TextStyle>;
    placeholder?: string;
    placeholderStyle?: StyleProp<TextStyle>;
    label?: string;
    labelStyle?: StyleProp<TextStyle>;
    controlStyle?: StyleProp<ViewStyle>;
    icon?: IconProp;
    onSelect: (option: SelectOption, event?: GestureResponderEvent) => void;
    status?: string;
    size?: string;
    keyExtractor?: KeyExtractorType;
}
export declare type SelectProps = StyledComponentProps & TouchableOpacityProps & ComponentProps;
export declare type SelectElement = React.ReactElement<SelectProps>;
export declare const Select: import("../../theme").StyledComponentClass<SelectProps>;
export {};
