/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { TextStyle } from 'react-native';
import { StyledComponentProps } from '../../theme';
import { TouchableTypeReturningProps } from '../support/typings';
export interface SelectOptionType {
    text: string;
    textStyle?: TextStyle;
    disabled?: boolean;
    items?: SelectOptionType[];
}
export interface ComponentProps {
    item: SelectOptionType;
    selected?: boolean;
    indeterminate?: boolean;
    multi?: boolean;
}
export declare type SelectOptionProps = ComponentProps & StyledComponentProps & TouchableTypeReturningProps<SelectOptionType>;
export declare type SelectOptionElement = React.ReactElement<SelectOptionProps>;
export declare const SelectOption: import("../../theme").StyledComponentClass<SelectOptionProps>;
