import { ViewStyle } from 'react-native';
import { I18nLayoutServiceType } from './type';
declare class NativeI18nLayoutService implements I18nLayoutServiceType {
    isRTL(): boolean;
    select<T>(ltr: T, rtl: any): T;
    /**
     * Iterates through I18nLayoutFlexMap and reverses style values if needed.
     *
     * @param {ViewStyle} source - style to convert
     * @param {boolean} rtl - is layout currently in RTL mode (Needed for tests, because unable to mock this)
     *
     * @returns {ViewStyle} - style reversed to fit i18n
     */
    toI18nStyle(source: ViewStyle, rtl?: boolean): ViewStyle;
}
export declare const I18nLayoutService: NativeI18nLayoutService;
export {};
